#
# spec file for package python-pmw
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pmw
Version:        2.1.1
Release:        3.1
Summary:        High-level compound widgets in Python using the Tkinter module
License:        MIT
Group:          Development/Languages/Python
URL:            https://pmw.sourceforge.net/
Source:         https://files.pythonhosted.org/packages/source/P/Pmw/Pmw-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-tk
BuildArch:      noarch
%python_subpackages

%description
A toolkit for building high-level compound widgets in Python using the Tkinter
module. It contains a set of flexible and extensible megawidgets, including
notebooks, comboboxes, selection widgets, paned widgets, scrolled widgets and
dialog windows.

%prep
%autosetup -p1 -n Pmw-%{version}
sed -i '1d' Pmw/Pmw_1_3_3/{demos/All,bin/bundlepmw,tests/All,tests/ManualTests}.py # Fix non-executable scripts
sed -i '1d' Pmw/Pmw_2_1_1/{demos/All,bin/bundlepmw,tests/All,tests/ManualTests}.py # Fix non-executable scripts

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%{python_sitelib}/[pP]mw
%{python_sitelib}/[pP]mw-%{version}*-info

%changelog
* Tue Apr 29 2025 Max Lin <mlin@suse.com>
- Fix Leap 16 build with the different filename naming
* Mon Apr 14 2025 Matej Cepl <mcepl@cepl.eu>
- Clean up the SPEC file.
* Mon Apr 14 2025 Friedrich Haubensak <hsk17@mail.de>
- drop python2 remnants, add sle15_python_module_pythons
* Tue Jan  9 2024 Dirk Müller <dmueller@suse.com>
- update to 2.1.1:
  * merge some bugfixes and mods for Python 3 support
- drop py36.patch (upstream)
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Make sure to run %%fdupes correctly
* Wed Aug 16 2017 dhall@wustl.edu
- obsolete python-pmw
* Sun May  7 2017 dhall@wustl.edu
- Add py36.patch: Fix for python3.6
  * https://sourceforge.net/p/pmw/patches/7/
* Sat May  6 2017 dhall@wustl.edu
- update to Pmw 2.0.1
- add python3 compatibility
* Fri Mar 21 2014 dhall@wustl.edu
- update to Pmw 1.3.3b
* Sat Dec 15 2012 dhall@wustl.edu
- update to Pmw 1.3.3
* Tue Sep 25 2012 dhall@wustl.edu
- require python-tk
* Tue Aug 16 2011 saschpe@suse.de
- Spec file cleanup:
  * Package documentation
  * Version-checks around SUSE-specific macros
* Tue May 10 2011 dhall@wustl.edu
- add executable bits
- patch out test backup file
* Tue May 10 2011 dhall@wustl.edu
-Pmw import
